﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Reloaders
{
    public partial class CallbackReloaderPrototype<T>
    {
        private class ReloaderInstance : CallbackReloader<T>, IReloader
        {
            public ReloaderInstance(IFunctionWorkerPrototype<T> workerPrototype, Func<T> getValue, Action<T> applyValue, Action<bool> applyStatus)
                : base(workerPrototype, getValue, applyValue, applyStatus)
            { }
        }
    }
}
