﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;
using System.Windows.Forms;

namespace Property.Timers
{
    public partial class WindowsFormsTimerPrototype
    {
        private class TimerInstance : Timer, ITimer 
        {
            public TimerInstance(TimeSpan interval)
            {
                base.Interval = (int)interval.TotalMilliseconds;
            }

            public new TimeSpan Interval { get { return TimeSpan.FromMilliseconds(base.Interval); } }
        }
    }
}
