﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

namespace Property
{
    /// <summary>
    /// Supports triggering validation.
    /// </summary>
    public interface IValidatable
    {
        /// <summary>
        /// Triggers execution of the implementer's
        /// validation mechanism.
        /// </summary>
        void Validate();
    }
}
