﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Property.Subscriptions;

namespace Property.Test.Chains
{
    [TestClass]
    public class ActionSubscriptionTest : SubscriptionTestInfrastructure<object>
    {
        [TestMethod]
        [ExpectedException(typeof(ArgumentNullException))]
        public void ActionSubscriptionNullActionTest()
        {
            new ChangedActionSubscription<object>(PropertyMock.Object, null);
        }
    }
}
