﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Showcase.LoadAsYouScroll
{
    // Classes like this may serve as a cheap 
    // Tuple<T1,T2> replacement in early .NET versions. 
    public class CheckResult
    {
        public CheckResult(TimeSpan performanceResult, bool memoryResult)
        {
            _PerformanceResult = performanceResult;
            _MemoryResult = memoryResult;
        }

        private readonly TimeSpan _PerformanceResult;
        public TimeSpan PerformanceResult { get { return _PerformanceResult; } }

        private readonly bool _MemoryResult;
        public bool MemoryResult { get { return _MemoryResult; } }
    }
}
