﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property
{
    public interface ITimer : IDisposable 
    {
        TimeSpan Interval { get; }

        void Start();

        void Stop();

        event EventHandler Tick;
    }
}
