﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

namespace Property.Objects
{
    public abstract class DecoupledPropertyPrototype<T>
    {
        protected DecoupledPropertyPrototype(IReloaderPrototype<T> reloaderPrototype)
        {
            _ReloaderPrototype = reloaderPrototype;
        }

        //=//

        protected readonly IReloaderPrototype<T> _ReloaderPrototype;
    }
}
