﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Objects
{
    public class GetProperty<T> : DelegateProperty<T> 
    {
        protected GetProperty(IReloaderPrototype<T> reloaderPrototype, Func<T, T> getValue, T defaultValue)
            : base(reloaderPrototype, getValue, defaultValue)
        { }

        //=//

        public override T Value
        {
            get
            {
                Reload();
                return DebugValue;
            }
        }
    }
}
