﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Reloaders
{
    public abstract class ReloaderPrototype<T> : IReloaderPrototype<T>
    {
        public abstract IReloader Create(Func<T> getValue, Action<T> applyValue, Action<bool> applyStatus);
    }
}
