﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Diagnostics.CodeAnalysis;
using Property.Objects;

namespace Property.Test.Objects
{
    [TestClass]
    public class DelegatePropertyPrototypeTest : DelegatePropertyPrototypeTestInfrastructure<object>
    {
        [TestMethod]
        [ExpectedException(typeof(ArgumentNullException))]
        public void DelegatePropertyNullGetValueTest()
        {
            new GetPropertyPrototype<object>(ReloaderPrototypeMock.Object, null)
                .Create(null);
        }
    }
}
