﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Property.Sequences;

namespace Property.Test.Sequences
{
    [TestClass]
    public class SequenceConveyorDecoratorTest : SequenceConveyorDecoratorTestInfrastructure<object>
    {
        [TestMethod]
        [ExpectedException(typeof(ArgumentNullException))]
        public void SourceSequenceConveyorNullCompositionBaseConveyorTest()
        {
            new DelegateSequenceConveyorDecorator<object>(null, ModifySequence).Create(GetValue);
        }
    }
}
