﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Reloaders
{
    public partial class ThrottleReloaderDecoratorPrototype<T>
    {
        private class DecoratorInstance : ThrottleReloaderDecorator<T>, IReloader
        {
            public DecoratorInstance(IReloaderPrototype<T> compositionBasePrototype, 
                Func<T> getValue, Action<T> applyValue, Action<bool> applyStatus, 
                ITimerPrototype timerPrototype)
                : base(compositionBasePrototype, getValue, applyValue, applyStatus, timerPrototype)
            { }
        }
    }
}
