﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Workers
{
    public partial class RetryFunctionWorkerDecoratorPrototype<T>
    {
        private class DecoratorInstance : RetryFunctionWorkerDecorator<T>, IWorker 
        {
            public DecoratorInstance(IFunctionWorkerPrototype<T> compositionBasePrototype, Func<T> getValue, int retryCount)
                : base(compositionBasePrototype, getValue, retryCount)
            { }
        }
    }
}
