﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

namespace Property
{
    /// <summary>
    /// Supports setter-based input.
    /// </summary>
    /// <typeparam name="T">Type of input.</typeparam>
    public interface IInput<T>
    {
        /// <summary>
        /// Settable input.
        /// </summary>
        T Input { get; set; }
    }
}
