﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Objects
{
    public partial class InputPropertyPrototype<T> : DecoupledPropertyPrototype<T>, IInputPropertyPrototype<T>
    {
        public InputPropertyPrototype(IReloaderPrototype<T> reloaderPrototype)
            : base(reloaderPrototype)
        { }

        //=//

        public IInputProperty<T> Create(T defaultValue)
        {
            return new PropertyInstance(_ReloaderPrototype, defaultValue);
        }
    }
}
