﻿using System;

namespace Property.Reloaders
{
    public partial class ReactiveReloaderPrototype<T>
    {
        private class ReloaderInstance : ReactiveReloader<T>, IReloader
        {
            public ReloaderInstance(ISequenceConveyor<T> sequenceConveyor, Func<T> getValue, Action<T> applyValue, Action<bool> applyStatus)
                : base(sequenceConveyor, getValue, applyValue, applyStatus)
            { }
        }
    }
}
