﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using Microsoft.VisualStudio.TestPlatform.UnitTestFramework;
using Property.Workers;
using System.ComponentModel;

namespace Property.Test.Workers
{
    [TestClass]
    public class BackgroundWorkerPrototypeTest
    {
        [TestMethod]
        public void BackgroundWorkerCreateTest()
        {
            // BackgroundWorkerPrototype is only used to provide a mockable 
            // BackgroundWorker interface. BackgroundWorker is supported by Microsoft.
            var sutWorker = new BackgroundWorkerPrototype().Create();
            Assert.IsInstanceOfType(sutWorker, typeof(BackgroundWorker));
            Assert.IsInstanceOfType(sutWorker, typeof(IWorker));
        }
    }
}
