﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;
using Microsoft.VisualStudio.TestPlatform.UnitTestFramework;
using System.Diagnostics.CodeAnalysis;
using Property.Objects;

namespace Property.Test.Objects
{
    [TestClass]
    public class DelegatePropertyPrototypeTest : DelegatePropertyPrototypeTestInfrastructure<object>
    {
        [TestMethod]
        public void DelegatePropertyNullGetValueTest()
        {
            try
            {
                new GetPropertyPrototype<object>(ReloaderPrototypeMock.Object, null)
                    .Create(null);
            }
            catch (ArgumentNullException) { return; }
            Assert.Fail();
        }
    }
}
