﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;
using System.Linq;
using Microsoft.VisualStudio.TestPlatform.UnitTestFramework;
using Property.Sequences;

namespace Property.Test.Sequences
{
    [TestClass]
    public class SequenceConveyorDecoratorTest : SequenceConveyorDecoratorTestInfrastructure<object>
    {
        [TestMethod]
        public void SourceSequenceConveyorNullCompositionBaseConveyorTest()
        {
            try
            {
                new DelegateSequenceConveyorDecorator<object>(null, ModifySequence).Create(GetValue);
            }
            catch (ArgumentNullException) { return; }
            Assert.Fail();
        }
    }
}
