﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Timers
{
    public partial class DispatcherTimerPrototype : ITimerPrototype
    {
        public DispatcherTimerPrototype(TimeSpan interval)
        {
            _Interval = interval;
        }

        //=//

        private readonly TimeSpan _Interval;

        public ITimer Create()
        {
            return new TimerInstance(_Interval);
        }
    }
}
