﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.


using System;

namespace Property.Workers
{
    public partial class FunctionWorkerPrototype<T>
    {
        private class WorkerInstance : FunctionWorker<T>, IWorker
        {
            public WorkerInstance(IWorkerPrototype workerPrototype, Func<T> getValue)
                : base(workerPrototype, getValue)
            { }
        }
    }
}
