﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

namespace Property
{
    public interface IPropertyPrototype<T>
    {
        /// <summary>
        /// Create a new instance of the property.
        /// </summary>
        /// <param name="defaultValue">Tell me what initial Value the instance should have.</param>
        IProperty<T> Create(T defaultValue = default(T));
    }
}
