﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Objects
{
    public abstract class DelegatePropertyPrototype<T> : DecoupledPropertyPrototype<T>
    {
        protected DelegatePropertyPrototype(IReloaderPrototype<T> reloaderPrototype, Func<T, T> getValue)
            : base(reloaderPrototype)
        {
            _GetValue = getValue;
        }

        //=//

        protected readonly Func<T, T> _GetValue;
    }
}
