﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Workers
{
    public partial class TimeoutFunctionWorkerDecoratorPrototype<T>
    {
        private class DecoratorInstance : TimeoutFunctionWorkerDecorator<T>, IWorker
        {
            public DecoratorInstance(IFunctionWorkerPrototype<T> compositionBasePrototype,
            Func<T> getValue, ITimerPrototype timerPrototype)
                : base(compositionBasePrototype, getValue, timerPrototype)
            { }
        }
    }
}
