﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Objects
{
    public class CallProperty<T> : DelegateProperty<T>, ICallDriven
    {
        protected CallProperty(IReloaderPrototype<T> reloaderPrototype, Func<T, T> getValue, T defaultValue)
            : base(reloaderPrototype, getValue, defaultValue)
        { }

        //=//

        public virtual void Go()
        {
            Reload();
        }
    }
}
