﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property
{
    public interface ISequenceConveyor<T>
    {
        /// <summary>
        /// Create a new sequence of function calls.
        /// </summary>
        /// <param name="getValue">Tell me what function to use in the sequence.</param>
        IObservable<T> Create(Func<T> getValue);
    }
}
