﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Workers
{
    public partial class CatchFunctionWorkerDecoratorPrototype<T>
    {
        private class DecoratorInstance : CatchFunctionWorkerDecorator<T>, IWorker 
        {
            public DecoratorInstance(IFunctionWorkerPrototype<T> compositionBasePrototype, Func<T> getValue, Action<Exception> handler)
                : base(compositionBasePrototype, getValue, handler)
            { }
        }
    }
}
