﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Reloaders
{
    public abstract class ReloaderDecoratorPrototype<T> : ReloaderPrototype<T>
    {
        public ReloaderDecoratorPrototype(IReloaderPrototype<T> compositionBasePrototype)
        {
            _CompositionBasePrototype = compositionBasePrototype;
        }

        //=//

        protected readonly IReloaderPrototype<T> _CompositionBasePrototype;
    }
}
