﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Reloaders
{
    public partial class SyncReloaderPrototype<T> : ReloaderPrototype<T>
    {
        public override IReloader Create(Func<T> getValue, Action<T> applyValue, Action<bool> applyStatus)
        {
            return new ReloaderInstance(getValue, applyValue, applyStatus);
        }
    }
}