﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;
using System.ComponentModel;

namespace Property
{
    public interface IWorker : IDisposable
    {
        bool IsBusy { get; }

        event DoWorkEventHandler DoWork;

        event RunWorkerCompletedEventHandler RunWorkerCompleted;

        void RunWorkerAsync();
    }
}
