﻿// Copyright (c) Vitaly Kamiansky. All rights reserved. 
// See License.txt in the project root.

using System;

namespace Property.Objects
{
    public partial class CallGetPropertyPrototype<T> : DelegatePropertyPrototype<T>, ICallPropertyPrototype<T>
    {
        public CallGetPropertyPrototype(IReloaderPrototype<T> reloaderPrototype, Func<T, T> getValue)
            : base(reloaderPrototype, getValue)
        { }

        //=//

        public ICallProperty<T> Create(T defaultValue)
        {
            return new PropertyInstance(_ReloaderPrototype, _GetValue, defaultValue);
        }
    }
}
