﻿using System;
using System.Collections.Generic;

namespace Property.Objects
{
    public partial class ValidationInputPropertyPrototype<T>
    {
        private class PropertyInstance : ValidationInputProperty<T>, IValidationInputProperty<T>
        {
            public PropertyInstance(IReloaderPrototype<T> reloaderPrototype, Func<T, IEnumerable<string>> validate, T defaultValue)
                : base(reloaderPrototype, validate, defaultValue)
            { }
        }
    }
}
